/*!
 * #%L
 * chvote-bo
 * %%
 * Copyright (C) 2016 - 2019 République et Canton de Genève
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 * #L%
 */

.content {
  overflow-wrap: break-word;
  overflow: hidden;
  max-height: 15rem;
}

.parameter-card {
  width: 29.5rem;
  height: 36.7rem;
  margin-bottom: 2rem;
  display: flex;
  flex-direction: column;
}

.parameter-card .mat-card-header {
  height: 13rem;
}

.parameter-card .mat-card-content {
  flex-grow: 1;
  margin-bottom: 0;
}

.parameter-card .task-complete,
.parameter-card .task-locked,
.parameter-card .task-error {
  position: absolute;
  right: 0;
  margin-top: -3.7rem;
  margin-right: 2rem;
}

.parameter-card .task-error .error-text {
  font-size: 2.5rem;
}

.parameter-card .no-config {
  width: 100%;
  font-style: italic;
  border-radius: 0.5rem;
  margin-bottom: 0;
}
